<?php

// $Id: admin.inc,v 1.4 2009/11/30 23:48:54 nickurbits Exp $

/**
 * Form for configuration options
 */
function licensing_admin_config() {
  $form = array(
    'licensing_secretkeyword' => array(
      '#title' => t('Secret keyword'),
      '#description' => t('This keyword is used as a part of the algorithm to create license keys. It is recommended to change it often to maintain the security of your licensing system, as this is a way to improve it\'s randomness.'),
      '#type' => 'textfield',
      '#default_value' => licensing_secretkeyword_get(FALSE),
      '#required' => TRUE,
    ),
    'user_register' => array(
      '#title' => t('User registration form'),
      '#description' => t('Settings related to the user registration form'),
      '#type' => 'fieldset',
      'licensing_user_register_enabled' => array(
        '#title' => t('Field enabled'),
        '#description' => t('Should the license key field be available on the user registration form?'),
        '#type' => 'checkbox',
        '#default_value' => variable_get('licensing_user_register_enabled', LICENSING_USER_REGISTER_ENABLED_DEFAULT),
      ),
      'licensing_user_register_mandatory' => array(
        '#title' => t('Mandatory'),
        '#description' => t('Should the license key field be required on the user registration form? (Requires the field to be enabled)'),
        '#type' => 'checkbox',
        '#default_value' => variable_get('licensing_user_register_mandatory', LICENSING_USER_REGISTER_MANDATORY_DEFAULT),
      ),
    ),
  );
  return system_settings_form($form);
}